Bug 185895 - Make the breadcrumb in HTML editor more powerful and effective...
Make the breadcrumb in HTML editor more powerful and effective...
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Actions/Menu/Toolbar
6.x
PC Other
: P3 (vote)
: 7.3
Assigned To: Miloslav Metelka
issues@editor
:
Depends on: 217635
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 11:55 UTC by hantsy
Modified: 2012-09-01 01:11 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
breadcrumb in jdev (3.50 KB, image/png)
2010-05-11 12:04 UTC, hantsy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hantsy 2010-05-11 11:55:39 UTC
Currently, it is only works for HTML file, but I think it should work for other files...
Especially in java file, it maybe another way to display the Class structure, and it maybe provide qucikly switch action in every tag dropdown list.

I like the feature provided by Oracle JDeveloper 11g.
Comment 1 hantsy 2010-05-11 12:04:00 UTC
Created attachment 98757 [details]
breadcrumb in jdev
Comment 2 Jan Lahoda 2012-08-31 12:21:40 UTC
We have a breadcrumbs component now, enabled by default by:
http://hg.netbeans.org/jet-main/rev/6c7966e33b2d

Still a lot to fix, but that should be bugfixes filled separately.
Comment 3 Quality Engineering 2012-09-01 01:11:34 UTC
Integrated into 'main-golden', will be available in build *201209010001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6c7966e33b2d
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #185895: enabling breadcrumbs by default.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo